package com.hc.gpbusiness.service;

import com.hc.gpbusiness.dto.WebCourseDto;
import com.hc.gpbusiness.model.WebCourse;
import org.springframework.stereotype.Component;
import com.github.pagehelper.PageInfo;


/**
 * 课程表(Course)表服务接口
 *
 * @author java
 * @since 2020-07-29 16:23:06
 */

@Component
public interface WebCourseService {

    /**
     * 通过ID查询单条数据
     *
     * @param courseId 主键
     * @return 实例对象
     */
    WebCourseDto queryModelById(Integer courseId);

    WebCourse queryById(Integer courseId);

    /**
     * 新增数据
     *
     * @param course 实例对象
     * @return 实例对象
     */
    WebCourse insert(WebCourse course);

    /**
     * 修改数据
     *
     * @param course 实例对象
     * @return 实例对象
     */
    WebCourse update(WebCourse course);

    /**
     * 通过主键删除数据
     *
     * @param courseId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer courseId);

    /**
     * 分页查询多条数据
     *
     * @param page     页码
     * @param size     查询条数
     * @param moduleId 板块id
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size, Integer moduleId);


}